package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103STP;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103STPCreator;

import java.util.List;

public class Tag71FCreator extends AbsTagCreate {
    private MT103STPCreator mt103STPCreator;

    public Tag71FCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt103STPCreator= (MT103STPCreator) absMTCreator;
    }

    public void creator()
    {
        if(mt103STPCreator.getSendersCharges()!=null){
            List<String> tag71FValue = mt103STPCreator.getSendersCharges();
            mt103STPCreator.set("71F", tag71FValue,true);
        }

    }
}
